# Changelog

{% hint style="info" %}

#### **Files Changed**

Not every update requires replacing the entire folder. To avoid redoing your configs, use the option that applies:
{% endhint %}

***

<mark style="color:$primary;">**Full Re-Download Required**</mark>

* Delete the old folder and replace it with the latest version. Reuse your `config.lua` unless told otherwise.

***

<mark style="color:$success;">**Update Specific Files**</mark>

* Only the files listed below need to be replaced.

***

<mark style="color:yellow;">**Config Update Required**</mark>

* Your `config.lua` must be updated for this version.

***

<mark style="color:$primary;">**Requires Auto SQL Enabled**</mark>

* Enable `Config.AutoInsertSQL` in `config.lua` to apply required database updates.

***

{% hint style="danger" %}

#### **Skipping Updates**

If you’ve skipped previous updates, it’s recommended to update all files to avoid issues.\
For example, if you're on v4.0.1, skipped v4.0.2, and are updating to v4.0.3, use the **Full Download** option.
{% endhint %}

{% hint style="danger" %}

#### Important Notice (cd\_bridge dependency)

Since v1.1.0, `cd_vipshop` requires `cd_bridge` to work.\
This improves compatibility and makes future updates easier.
{% endhint %}

***

{% updates format="full" %}
{% update date="2026-05-08" tags="only-updated-files" %}

## v4.3.6

```
fxmanifest.lua
server/other/purchase_made.lua
```

{% hint style="warning" %}
**Fixes**

* Fixed an issue where a negative bank balance would cancel a purchase even when the bank cost was 0.
  {% endhint %}
  {% endupdate %}

{% update date="2026-04-13" tags="only-updated-files" %}

## v4.3.5

{% code title="Files Changed" %}

```
fxmanifest.lua
server/rewards/vehicles.lua
```

{% endcode %}

{% hint style="warning" %}
**Fixes**

* Fixed random plate generation erroring when purchasing a vehicle.
  {% endhint %}
  {% endupdate %}
  {% endupdates %}

***

#### v4.3.4

16/2/2026 *(dd/mm/yyyy)*

**Files Changed:**&#x20;

* [ ] All Files
* [ ] All Files Except config.lua
* [x] Specific Files

```
fxmanifest.lua
client/other/display_vehicles.lua
client/other/test_drive.lua
html (FULL FOLDER)
```

**Changelog:**

{% hint style="warning" %}
**Fixes**

* Fixed issue where players could press G to test drive even when test drive was disabled in the config.
* Fixed issue where vehicle keys were not always removed, due to some vehicle key scripts requiring vehicle to be defined.
* Fixed plate input being covered by categories.
* Fixed notification going out of bounds.
  {% endhint %}

***

#### v4.3.3

9/2/2026 *(dd/mm/yyyy)*

**Files Changed:**&#x20;

* [ ] All Files
* [ ] All Files Except config.lua
* [x] Specific Files

```
fxmanifest.lua
server/main/server.lua
```

**Changelog:**

{% hint style="warning" %}
**Fixes**

* Fixed /redeem not working correctly.
  {% endhint %}

***

#### v4.3.2

6/2/2026 *(dd/mm/yyyy)*

**Files Changed:**&#x20;

* [ ] All Files
* [ ] All Files Except config.lua
* [x] Specific Files

```
fxmanifest.lua
client/other/test_drive.lua
server/main/server.lua
```

**Changelog:**

{% hint style="info" %}
**Changes**

* Vehicle keys are now removed after a test drive.
  {% endhint %}

{% hint style="warning" %}
**Fixes**

* Fixed issues with the tebex purchase command.
  {% endhint %}

***

#### v4.3.1

04/02/2026 *(dd/mm/yyyy)*

**Files Changed:**&#x20;

* [x] All Files
* [ ] All Files Except config.lua
* [ ] Specific Files

**Changelog:**

{% hint style="success" %}
**Added**

* Added support for manually set air, boat, and car locations that work alongside randomization.
  {% endhint %}

{% hint style="info" %}
**Changes**

* Integrated with `cd_bridge` for easier future updates and improved stability.
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codesign.pro/paid-scripts/vip-shop/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
